
Foreman - Bug #10134

Standard error and output is ignored in passenger deployment

04/14/2015 09:22 AM - Lukas Zapletal

Status: New   

Priority: Normal   

Assignee:    

Category: Logging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2304

  

Description

We simply throw all messages away. We should redirect them into Rails log instead.

To see the contents, create the following file:

/usr/share/foreman/config/initializers/passenger_hack.rb

with the following content:

std_out = File.new("/tmp/stdout.log","a")

std_err = File.new("/tmp/stderr.log","a")

$stdout.reopen(std_out)

$stderr.reopen(std_err)

History

#1 - 06/04/2015 07:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2304 added

- Pull request deleted ()

#2 - 04/05/2016 09:58 AM - Tomer Brisker

- Status changed from Ready For Testing to New

#3 - 04/05/2016 09:59 AM - Dominic Cleal

- Category changed from Rails to Logging
